freedombone-app-batman 2.8KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101
  1. #!/bin/bash
  2. #
  3. # .---. . .
  4. # | | |
  5. # |--- .--. .-. .-. .-.| .-. .--.--. |.-. .-. .--. .-.
  6. # | | (.-' (.-' ( | ( )| | | | )( )| | (.-'
  7. # ' ' --' --' -' - -' ' ' -' -' -' ' - --'
  8. #
  9. # Freedom in the Cloud
  10. #
  11. # batman adv mesh functions
  12. #
  13. # License
  14. # =======
  15. #
  16. # Copyright (C) 2014-2016 Bob Mottram <bob@robotics.uk.to>
  17. #
  18. # This program is free software: you can redistribute it and/or modify
  19. # it under the terms of the GNU Affero General Public License as published by
  20. # the Free Software Foundation, either version 3 of the License, or
  21. # (at your option) any later version.
  22. #
  23. # This program is distributed in the hope that it will be useful,
  24. # but WITHOUT ANY WARRANTY; without even the implied warranty of
  25. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  26. # GNU Affero General Public License for more details.
  27. #
  28. # You should have received a copy of the GNU Affero General Public License
  29. # along with this program. If not, see <http://www.gnu.org/licenses/>.
  30. # B.A.T.M.A.N settings
  31. ENABLE_BATMAN="no"
  32. BATMAN_CELLID='any'
  33. function configure_firewall_for_batma {
  34. if grep -Fxq "configure_firewall_for_batman" $COMPLETION_FILE; then
  35. return
  36. fi
  37. if [[ $ENABLE_BATMAN != "yes" ]]; then
  38. return
  39. fi
  40. function_check save_firewall_settings
  41. save_firewall_settings
  42. echo 'configure_firewall_for_batman' >> $COMPLETION_FILE
  43. }
  44. function backup_local_batman {
  45. echo ''
  46. }
  47. function backup_remote_batman {
  48. echo ''
  49. }
  50. function remove_batman {
  51. if ! grep -Fxq "install_batman" $COMPLETION_FILE; then
  52. return
  53. fi
  54. ${PROJECT_NAME}-mesh-install -f batman --remove yes
  55. if [ ! "$?" = "0" ]; then
  56. echo $'Failed to remove batman'
  57. exit 79353
  58. fi
  59. sed -i '/install_batman/d' $COMPLETION_FILE
  60. sed -i '/configure_firewall_for_batman/d' $COMPLETION_FILE
  61. }
  62. function install_batman {
  63. if grep -Fxq "install_batman" $COMPLETION_FILE; then
  64. return
  65. fi
  66. if [[ $ENABLE_BATMAN != "yes" ]]; then
  67. return
  68. fi
  69. ${PROJECT_NAME}-mesh-install -f batman
  70. if [ ! "$?" = "0" ]; then
  71. echo $'Failed to install batman'
  72. exit 72524
  73. fi
  74. if ! grep -q "Mesh Networking (B.A.T.M.A.N)" /home/$MY_USERNAME/README; then
  75. echo '' >> /home/$MY_USERNAME/README
  76. echo '' >> /home/$MY_USERNAME/README
  77. echo 'Mesh Networking (B.A.T.M.A.N)' >> /home/$MY_USERNAME/README
  78. echo '=============================' >> /home/$MY_USERNAME/README
  79. echo "Mesh ESSID: $WIFI_SSID" >> /home/$MY_USERNAME/README
  80. echo "Mesh cell ID: $BATMAN_CELLID" >> /home/$MY_USERNAME/README
  81. echo "Mesh wifi channel: $WIFI_CHANNEL" >> /home/$MY_USERNAME/README
  82. chown $MY_USERNAME:$MY_USERNAME /home/$MY_USERNAME/README
  83. chmod 600 /home/$MY_USERNAME/README
  84. fi
  85. function_check configure_firewall_for_batman
  86. configure_firewall_for_batman
  87. echo 'install_batman' >> $COMPLETION_FILE
  88. }
  89. # NOTE: deliberately no exit 0